Skip to main content
`Ctrl`+`K`

# PCSetReusePreconditioner

reuse the current preconditioner even if the operator in the preconditioner `PC` has changed.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetReusePreconditioner(PC pc, PetscBool flag)

Logically Collective

## Input Parameters

- pc - the `PC` preconditioner context

- flag - `PETSC_TRUE` do not compute a new preconditioner, `PETSC_FALSE` do compute a new preconditioner

## Note

Normally if a matrix inside a `PC` changes the `PC` automatically updates itself using information from the changed matrix. This option prevents this.

## See Also

KSP: Linear System Solvers, `PC`, `PCGetOperators()`, `MatZeroEntries()`, `PCGetReusePreconditioner()`, `KSPSetReusePreconditioner()`

## Level

intermediate

## Location

src/ksp/pc/interface/precon.c

## Implementations

PCSetReusePreconditioner_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages